## ros-melodic-drone-assets 1.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(drone_assets)

find_package(catkin REQUIRED COMPONENTS)

find_package(gazebo REQUIRED)

catkin_package()

include_directories(${GAZEBO_INCLUDE_DIRS})

add_library(wall1plugin plugins/wall1.cc)
target_link_libraries(wall1plugin ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

add_library(wall2plugin plugins/wall2.cc)
target_link_libraries(wall2plugin ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

add_library(wall3plugin plugins/wall3.cc)
target_link_libraries(wall3plugin ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

add_library(wall4plugin plugins/wall4.cc)
target_link_libraries(wall4plugin ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

install(TARGETS wall1plugin wall2plugin wall3plugin wall4plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY
  models
  urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-drone-assets (1.3.10-1bionic) bionic; urgency=high

  * Adding gazebo_ros dependency
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Wed, 03 Nov 2021 23:00:00 -0000

ros-melodic-drone-assets (1.3.9-1bionic) bionic; urgency=high

  * Fix path of custom_box_target
  * Added new ocean model
  * Added a new model slab
  * Added new simple_labyrinth_green
  * Added plugins
  * Added gas_station model
  * Contributors: Arka, RUFFY-369, iamarkaj, pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-melodic-drone-assets (1.3.8-1bionic) bionic; urgency=high

  * Added urdf as installed dir
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 13 Apr 2021 22:00:00 -0000

ros-melodic-drone-assets (1.3.7-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-melodic-drone-assets (1.3.6-1bionic) bionic; urgency=high

  * Removed duplicated jderobot logo
  * Iris models updated
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-melodic-drone-assets (1.3.5-1bionic) bionic; urgency=high

  * New drone_assets pkg replacing old jderobot_assets pkg.
  * Fixed new iris models. Added iris base and iris dual cam.
  * Added models and urdf. CMakeLists and package.xml created.
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-melodic-drone-assets (1.3.4-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 27 Jun 2020 22:00:00 -0000

ros-melodic-drone-assets (1.3.3-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-melodic-drone-assets (1.3.2-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-melodic-drone-assets (1.3.1-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 14 Feb 2020 12:30:00 -0000

ros-melodic-drone-assets (1.3.0-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 14 Feb 2020 12:22:00 -0000

ros-melodic-drone-assets (1.2.0-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-melodic-drone-assets (1.1.0-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 19 Jan 2020 23:00:00 -0000

ros-melodic-drone-assets (1.0.2-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 18 Jan 2020 23:00:00 -0000

ros-melodic-drone-assets (1.0.1-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-melodic-drone-assets (1.0.0-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-melodic-drone-assets (0.0.1-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-drone-assets
Section: misc
Priority: optional
Maintainer: Pedro Arias <pedroariasperez96@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-drone-assets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros
Description: The drone_assets package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-drone-assets//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
